Project

General

Profile

Bug #2459

Need for actor/attribute that detects OS/executables

Added by Dan Higgins over 12 years ago. Updated over 9 years ago.

Status:
In Progress
Priority:
Normal
Assignee:
Category:
actors
Target version:
Start date:
06/15/2006
Due date:
% Done:

0%

Estimated time:
Bugzilla-Id:
2459

Description

Some workflows will only work on certain operating systems or require certain executables outside of Kepler (e.g. JNI based actors; R system, etc). It would be useful to have an actor/parameters/attribute that could be configured by the workflow author to check the OS and/or the existence of certain files (executables?) that are needed by the workflow and then inform the user if workflow will not run (i.e message like "This workflow will NOT run of the current OS (Mac OS X)".

History

#1 Updated by Christopher Brooks over 12 years ago

I'll bet we could use the expression syntax to get properties and then
invoke ThrowModelError if things aren't right.
See also $PTII/ptolemy/kernel/attributes/RequireVersion.java for
how we require a specific version of Java.
Perhaps this could be extended to have a parameter that takes an expression
that must evaluate to true. We might use something like
getProperty("java.whatever")== "Windoze" || findFile("MyBinary")
(The syntax is probably off)

#2 Updated by Redmine Admin over 5 years ago

Original Bugzilla ID was 2459

Also available in: Atom PDF